Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class TransactionInfo

    java.lang.Object
      com.sun.messaging.jms.management.server.TransactionInfo

All Implemented Interfaces:
  Serializable

    public class TransactionInfo

extends Object
implements Serializable

This class contains constants/names for fields in the CompositeData that is returned by the operations of the Transaction Manager Monitor MBean.

See Also:
  Serialized Form

Field Summary
`static String` `CLIENT_ID` Client ID
`static String` `CONNECTION_STRING` Object name of Connection
`static String` `CREATION_TIME` Creation time
`static String` `NUM_ACKS` Number of acknowledgements
`static String` `NUM_MSGS` Number of messages
`static String` `STATE` Transaction state.
`static String` `STATE_LABEL` String representation of transaction state.
`static String` `TRANSACTION_ID` Transaction ID
`static String` `USER` User name
`static String` `XID` XID

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLIENT_ID

    public static final String CLIENT_ID

  Client ID

  See Also:
    Constant Field Values

### CONNECTION_STRING

    public static final String CONNECTION_STRING

  Object name of Connection

  See Also:
    Constant Field Values

### CREATION_TIME

    public static final String CREATION_TIME

  Creation time

  See Also:
    Constant Field Values

### NUM_ACKS

    public static final String NUM_ACKS

  Number of acknowledgements

  See Also:
    Constant Field Values

### NUM_MSGS

    public static final String NUM_MSGS

  Number of messages

  See Also:
    Constant Field Values

### STATE

    public static final String STATE

  Transaction state.

  See Also:
    Constant Field Values

### STATE_LABEL

    public static final String STATE_LABEL

  String representation of transaction state.

  See Also:
    Constant Field Values

### TRANSACTION_ID

    public static final String TRANSACTION_ID

  Transaction ID

  See Also:
    Constant Field Values

### USER

    public static final String USER

  User name

  See Also:
    Constant Field Values

### XID

    public static final String XID

  XID

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.